ONVIF::Media::Elements::SetAudioSourceConfiguration(3)

NAME
ONVIF::Media::Elements::SetAudioSourceConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined element SetAudioSourceConfiguration from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Configuration

     $element->set_Configuration($data);
     $element->get_Configuration();

•   ForcePersistence

     $element->set_ForcePersistence($data);
     $element->get_ForcePersistence();

METHODS

  new
 my $element = ONVIF::Media::Elements::SetAudioSourceConfiguration->new($data);

Constructor. The following data structure may be passed to new():

 {
   Configuration =>  { # ONVIF::Media::Types::AudioSourceConfiguration
     SourceToken => $some_value, # ReferenceToken
   },
   ForcePersistence =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL